---
updatedAt: 2026-05-28T08:16:45.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# Resync a Module Version

Trigger resync of the Module Version associated with the `relationships.vcs-revision`.
Only modules associated with a VCS can be resynchronized.


# OpenAPI definition

```json
{
  "components": {
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/module-versions/{module_version}/actions/resync": {
      "post": {
        "description": "Trigger resync of the Module Version associated with the `relationships.vcs-revision`.\nOnly modules associated with a VCS can be resynchronized.\n",
        "operationId": "resync_module_version",
        "parameters": [
          {
            "in": "path",
            "name": "module_version",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "Successfully triggered resync of the module version."
          },
          "409": {
            "description": "Module Version not bound to the VCS repository or another sync in progress."
          },
          "422": {
            "description": "Malformed request body (missing attributes, wrong types, etc.)."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "Resync a Module Version",
        "tags": [
          "modules"
        ],
        "x-resource": "ModuleVersion",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [List Module Versions](https://docs.scalr.io/scalr/reference/list_module_versions.md)
* [Get a Module Version](https://docs.scalr.io/scalr/reference/get_module_version.md)
* [List Modules](https://docs.scalr.io/scalr/reference/list_modules.md)
* [Publish a Module](https://docs.scalr.io/scalr/reference/create_module.md)
* [Unpublish a Module](https://docs.scalr.io/scalr/reference/delete_module.md)
* [Get a Module](https://docs.scalr.io/scalr/reference/get_module.md)
* [Resync a Module](https://docs.scalr.io/scalr/reference/resync_module.md)
* [Module Changelog](https://docs.scalr.io/scalr/reference/get_module_changelog.md)